<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="CONF"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ConfigurationsTypes']}</h1>
        <h:form id="globalForm">
            <gri:panel id="globalPanel" style="width:100%;height:100%;">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ConfigurationsTypesList']}</f:facet>
                <s:div id="globalDiv1">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.YouCanViewTheListOfConfigurationsRegisteredToXDS']}"/>
                    <br/>
                    <br/>
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToAddANewConfigurationYouHaveTo']}"/>
                    <ul>
                        <li>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.LoginUsingTheCasLoginrightCornerOnTheTopIfYouDon']} "/>
                        </li>
                        <li>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.SelectYourConfigurationType']}"/>
                        </li>
                        <li>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonCreateNewConfiguration']}"/>
                        </li>
                        <li>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.FulfilPropertiesOfYourSystemURLNameHomecommunity']}"/>
                        </li>
                        <li>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ChooseTheKindOfTransactionsYourSystemWillTest']}"/>
                        </li>
                        <li>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ClickThenOnSaveButton']}"/>
                        </li>
                    </ul>
                    <a4j:commandButton id="backButton" styleClass="gzl-btn-blue"
                                       actionListener="#{systemConfigurationChecker.checkAllConfigurations()}"
                                       rendered="#{s:hasRole('admin_role') || s:hasRole('monitor_role')}"
                                       value="#{messages['net.ihe.gazelle.xdstar.CheckTheAvailabilityOfConfigurations']}"
                                       render="listConf"
                                       execute="@this"/>
                    <br/>
                    <br/>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SystemsConfigurationType']}</ui:define>
                        <h:selectOneMenu value="#{commonConfigurationManager.selectedConfigurationType}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{commonConfigurationManager.getListConfigurationTypes()}" var="typ"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}" label="#{typ.confTypeType.value}"/>
                            <a4j:ajax event="change" render="listConf" execute="@this"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:div>

                <s:div id="listConf">
                    <s:div id="listConf1" rendered="#{commonConfigurationManager.selectedConfigurationType != null}">
                        <br/>
                        <gri:panel>
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.RelatedAffinityDomaincontextToThisTypeOfConfigur']} "/>
                            <br/>
                            <rich:list var="usage" value="#{commonConfigurationManager.selectedConfigurationType.listUsages}"
                                       rows="#{dataScrollerMemory.numberOfResultsPerPage}" type="unordered">
                                <h:outputText value="#{usage.affinity.labelToDisplay}::#{usage.transaction.keyword}"/>
                            </rich:list>
                        </gri:panel>
                        <br/>
                        <s:div id="listConfDiv"
                               rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Repository / Document Recipient configuration')}">
                            <f:subview id="subview_1_1">
                                <ui:include src="/configuration/repository/repConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Registry Configuration')}">
                            <f:subview id="subview_2_1">
                                <ui:include src="/configuration/registry/regConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Update Responder Configuration')}">
                            <f:subview id="subview_2_1_1">
                                <ui:include src="/configuration/update/updateConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Responding Gateway Configuration')}">
                            <f:subview id="subview_3_1">
                                <ui:include src="/configuration/xcaConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('XCPD Responding Gateway Configuration')}">
                            <f:subview id="subview_4_1">
                                <ui:include src="/configuration/xcpdConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Community Pharmacy Manager Configuration')}">
                            <f:subview id="subview_5_1">
                                <ui:include src="/configuration/cpmConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Imaging Document Source Configuration')}">
                            <f:subview id="subview_6_1">
                                <ui:include src="/configuration/idsConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Initiating Imaging Gateway Configuration')}">
                            <f:subview id="subview_7_1">
                                <ui:include src="/configuration/iigConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Responding Imaging Gateway Configuration')}">
                            <f:subview id="subview_8_1">
                                <ui:include src="/configuration/rigConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Document Metadata Notification Broker Subscribtion/Unsubscription Configuration')}">
                            <f:subview id="subview_9_1">
                                <ui:include src="/configuration/subConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Document Metadata Notification Broker Publish Configuration')}">
                            <f:subview id="subview_10_1">
                                <ui:include src="/configuration/pubConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                        <s:div rendered="#{commonConfigurationManager.selectedConfigurationType.confTypeType.value.equals('Document Metadata Notification Recipient Notify Configuration')}">
                            <f:subview id="subview_11_1">
                                <ui:include src="/configuration/notifConfigurations.xhtml"/>
                            </f:subview>
                        </s:div>
                    </s:div>
                </s:div>
            </gri:panel>
        </h:form>
    </ui:define>
</ui:composition>
